//In IE8 xccsh_popup.init will never trigger if we wrap this script in a jQuery onload.
//So instead we use a self executing anonymous function
(function($){
var xccsh_popup = {
	/**
	 *Initialise the pop-up window
	 *Adds the selection as the value of the content form item
	 *Adds the button to 'submit' the form and insert the shortcode
	 */
	"init" : function(ed) {
		tinyMCEPopup.resizeToInnerSize();
        $('#xccsh_content').val(ed.selection.getContent());
        var $form = $('#xccsh_form').append(
			$('<div class="mceActionPanel"><input type="button" onclick="tinyMCEPopup.close();" value="'+objectL10n.cancel+'" name="cancel" id="cancel" /></div>')
			.prepend('<input type="button" value="'+objectL10n.insert+'" name="insert" id="insert" />').click(function(e){
				e.preventDefault();
				xccsh_popup.insert(ed);
				return false;
			})
		);
		window.parent.xccsh_shared.setForm($form).hideDescs();
	},
	/**
	 *Gets the settings from the form and inserts the shortcode into the editor
	 *Much of this is duplicated in quicktags.js - dialog.buttons["Insert shortcode"] function
	 */
	"insert" : function insertButton(ed) {
 
		// Try and remove existing style / blockquote
		//tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		
		if(!(replacement=window.parent.xccsh_shared.getShortcode())){
			$('html, body').animate({ "scrollTop": 0 });
			return false;
		}
		tinyMCEPopup.execCommand('mceReplaceContent', false, replacement);
 
		// Return
		tinyMCEPopup.close();
	}
};
//register the pop up
tinyMCEPopup.onInit.add(xccsh_popup.init, xccsh_popup);
})(jQuery);