jQuery(function($){
    //how may dts and dds (settings) we want to show
    //default is 1, i.e. just the first setting - from
    var show=1;
    //if a geoFunc is not set, we'll show that setting as well
    if($('#geoFunc').val() == "0"){
        show=2;
    }
    //We are assuming that each dt has one matched dd. If not, this code won't work.
    //store the dts and dds that we don't want to show by default, and hide them
    var $dts = $('#xoogu_currency_conversion_options_form > dl > dt').filter(function(index){return index>=show;}),
        $dds = $('#xoogu_currency_conversion_options_form > dl > dd').filter(function(index){return index>=show;}),
        $form = $('#xoogu_currency_conversion_options_form'),
        $showHideLink=$('<a href="#" class="hideOpts">'+objectL10n.hide_opts+'</a>');
    function hideSettings(){
        $showHideLink.text(objectL10n.show_opts);
        $showHideLink.removeClass('hideOpts');
        $dts.hide();
        $dds.hide();
        var action = $form.prop('action');
        if (action.substr(-9) == '#advanced') {
            $form.prop('action', action.substr(0, action.length-9));
        }
    }
    function showSettings(){
        $showHideLink.text(objectL10n.hide_opts);
        $showHideLink.addClass('hideOpts');
        $dts.show();
        $dds.show();
        var action = $form.prop('action');
        $form.prop('action', action+'#advanced');
    }
    
    //add a link we can click to show / hide the other settings
    $form.prepend($showHideLink.click(function(e){
        if($(this).hasClass('hideOpts')){
            hideSettings();
        }
        else{
            showSettings();
        }
        e.preventDefault();
        return false;
    }));
    
    //hide advanced settings unless the form was saved with advanced settings showing
    if (window.location.hash != '#advanced') {
        hideSettings();
    }
});